Bug 811906 - Network configuration problems with static ip
Network configuration problems with static ip
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 05:50 EDT by marcik4
Modified: 2016-04-26 17:50 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 09:35:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marcik4 2012-04-12 05:50:18 EDT
Description of problem:

Configuring network on ovirt-node cause many problems. For example: changing hostname clears dns and ntp fields.

Version-Release number of selected component (if applicable):

ovirt-node-iso-2.3.0-1.0.fc16.iso

How reproducible:

Always.

Steps to Reproduce:

1. install ovirt-node
2. open network configuration dialog
3. configure one network interface with static ip
4. apply changes
5. change localhost hostname to desired one, enter nameservers ips
6. apply
  
Actual results:

Hostname is changed, but nameservers fields are cleared, so as ntp servers fields.

Expected results:

Nameservers and ntp servers fields not to be cleaned.

Additional info:

General network configuration is very problematic, causes many problems which makes registration of nodes in manager hard and long.
Comment 1 Mike Burns 2012-05-14 10:51:01 EDT
I think some of the pending patches will solve these issues, but please test the use case mentioned here.
Comment 2 Fabian Deutsch 2012-05-15 04:58:03 EDT
I coudl reproduce this problem and suppose that the following patch fixes this (and other) issue:

http://gerrit.ovirt.org/#change,4340

I tested this like this:
1. Install a fresh o-node-2.3.0
2. apply teh patch to ovirt-config-setup
3. open Network dialog
4. configure one nic with a static ip (10.0.0.1/24 gw .254)
5. change the localhostname by appending 22
6. apply
7. set a ntp server and apply

the ntp server occurs again

Note You need to log in before you can comment on or make changes to this bug.